#   File:       FragmentToolFAT.make
#   Target:     FragmentToolFAT
#   Sources:    cfrg.r
#               FragmentTool.r
#               :Sources:AppleEventStuff.c
#               :Sources:DialogStuff.c
#               :Sources:DragStuff.c
#               :Sources:Fragments.c
#               :Sources:FragmentTool.c
#               :Sources:Initialize.c
#               :Sources:Lists.c
#               :Sources:MenusStuff.c
#               :Sources:Streams.c
#               :Sources:Utilities.c
#               :Sources:Windows.c
#   Created:    Friday, September 29, 1995 02:21:43 PM


MAKEFILE     = FragmentToolFAT.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     =
SymPPC      = 
ObjDirPPC   = :ObjectsPPC:
Sym68K      = 
ObjDir68K   = :Objects68K:

PPCCOptions  = {Includes} {SymPPC} -appleext on -w off

COptions     = {Includes} {Sym68K} -warnings off

ObjectsPPC  = 
		"{ObjDirPPC}AppleEventStuff.c.x" 
		"{ObjDirPPC}DialogStuff.c.x" 
		"{ObjDirPPC}DragStuff.c.x" 
		"{ObjDirPPC}Fragments.c.x" 
		"{ObjDirPPC}FragmentTool.c.x" 
		"{ObjDirPPC}Initialize.c.x" 
		"{ObjDirPPC}Lists.c.x" 
		"{ObjDirPPC}MenusStuff.c.x" 
		"{ObjDirPPC}Streams.c.x" 
		"{ObjDirPPC}Utilities.c.x" 
		"{ObjDirPPC}Windows.c.x"

Objects68K  = 
		"{ObjDir68K}AppleEventStuff.c.o" 
		"{ObjDir68K}DialogStuff.c.o" 
		"{ObjDir68K}DragStuff.c.o" 
		"{ObjDir68K}Fragments.c.o" 
		"{ObjDir68K}FragmentTool.c.o" 
		"{ObjDir68K}Initialize.c.o" 
		"{ObjDir68K}Lists.c.o" 
		"{ObjDir68K}MenusStuff.c.o" 
		"{ObjDir68K}Streams.c.o" 
		"{ObjDir68K}Utilities.c.o" 
		"{ObjDir68K}Windows.c.o"


FragmentToolFAT  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c '????' 
		"{SharedLibraries}InterfaceLib" 
		"{SharedLibraries}StdCLib" 
		"{SharedLibraries}DragLib"
		"{PPCLibraries}StdCRuntime.o" 
		"{PPCLibraries}PPCCRuntime.o" 
		"{PPCLibraries}PPCToolLibs.o" 
		-weakLib DragLib

FragmentToolFAT  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c '????' 
		"{Libraries}Runtime.o" 
		"{Libraries}Interface.o"


FragmentToolFAT  {MondoBuild} cfrg.r
	Rez cfrg.r -o {Targ} {Includes} -append

FragmentToolFAT  {MondoBuild} FragmentTool.r
	Rez FragmentTool.r -o {Targ} {Includes} -append


"{ObjDirPPC}AppleEventStuff.c.x"  {MondoBuild} :Sources:AppleEventStuff.c
	{PPCC} :Sources:AppleEventStuff.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}DialogStuff.c.x"  {MondoBuild} :Sources:DialogStuff.c
	{PPCC} :Sources:DialogStuff.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}DragStuff.c.x"  {MondoBuild} :Sources:DragStuff.c
	{PPCC} :Sources:DragStuff.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Fragments.c.x"  {MondoBuild} :Sources:Fragments.c
	{PPCC} :Sources:Fragments.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}FragmentTool.c.x"  {MondoBuild} :Sources:FragmentTool.c
	{PPCC} :Sources:FragmentTool.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Initialize.c.x"  {MondoBuild} :Sources:Initialize.c
	{PPCC} :Sources:Initialize.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Lists.c.x"  {MondoBuild} :Sources:Lists.c
	{PPCC} :Sources:Lists.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MenusStuff.c.x"  {MondoBuild} :Sources:MenusStuff.c
	{PPCC} :Sources:MenusStuff.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Streams.c.x"  {MondoBuild} :Sources:Streams.c
	{PPCC} :Sources:Streams.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Utilities.c.x"  {MondoBuild} :Sources:Utilities.c
	{PPCC} :Sources:Utilities.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Windows.c.x"  {MondoBuild} :Sources:Windows.c
	{PPCC} :Sources:Windows.c -o {Targ} {PPCCOptions}


"{ObjDir68K}AppleEventStuff.c.o"  {MondoBuild} :Sources:AppleEventStuff.c
	{C} :Sources:AppleEventStuff.c -o {Targ} {COptions}

"{ObjDir68K}DialogStuff.c.o"  {MondoBuild} :Sources:DialogStuff.c
	{C} :Sources:DialogStuff.c -o {Targ} {COptions}

"{ObjDir68K}DragStuff.c.o"  {MondoBuild} :Sources:DragStuff.c
	{C} :Sources:DragStuff.c -o {Targ} {COptions}

"{ObjDir68K}Fragments.c.o"  {MondoBuild} :Sources:Fragments.c
	{C} :Sources:Fragments.c -o {Targ} {COptions}

"{ObjDir68K}FragmentTool.c.o"  {MondoBuild} :Sources:FragmentTool.c
	{C} :Sources:FragmentTool.c -o {Targ} {COptions}

"{ObjDir68K}Initialize.c.o"  {MondoBuild} :Sources:Initialize.c
	{C} :Sources:Initialize.c -o {Targ} {COptions}

"{ObjDir68K}Lists.c.o"  {MondoBuild} :Sources:Lists.c
	{C} :Sources:Lists.c -o {Targ} {COptions}

"{ObjDir68K}MenusStuff.c.o"  {MondoBuild} :Sources:MenusStuff.c
	{C} :Sources:MenusStuff.c -o {Targ} {COptions}

"{ObjDir68K}Streams.c.o"  {MondoBuild} :Sources:Streams.c
	{C} :Sources:Streams.c -o {Targ} {COptions}

"{ObjDir68K}Utilities.c.o"  {MondoBuild} :Sources:Utilities.c
	{C} :Sources:Utilities.c -o {Targ} {COptions}

"{ObjDir68K}Windows.c.o"  {MondoBuild} :Sources:Windows.c
	{C} :Sources:Windows.c -o {Targ} {COptions}

