/*
	File:		Dialogs.h

	Contains:	Handle application's dialogs

	Written by:	Chris White, Developer Technical Support
	
	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
	
	Change History (most recent first):
	
				  9/28/95	CW		First release

*/


#ifndef __DIALOGSTUFF__
#define __DIALOGSTUFF__





#ifndef __FRAGMENTSTUFF__
	#include "FragmentStuff.h"
#endif





struct AddFragmentExportsRecOut
{
	FSSpecPtr	theSpecPtr;
	tItemPtr	theItem;
};



struct AddFragmentExportsRecIn
{
	StringPtr	theErrorStr;
};



typedef struct AddFragmentExportsRec
{
	Boolean		bIn;
	union
	{
		struct AddFragmentExportsRecOut	out;
		struct AddFragmentExportsRecIn	in;
	} u;
  
} tAddFragmentExportsRec;




enum
{
	// List Dialog Constants
	
	kListDialogOkay = 2000,
	kListDialogOkayCancel = 2001,
	
		// kStdOkItemIndex
		// kStdCancelItemIndex
		kListUserItem = 3
};




enum
{
	// Info Dialog Constants
	
	kInfoDialog = 2002,
		// kStdOkItemIndex
		// kStdCancelItemIndex
		kNameEditText = 3,
		kArchitectureStaticText,
		kUpdateLevelPopup,
		kCurrentMajorEditText,
		kCurrentMinorEditText,
		kCurrentBugRevEditText,
		kCurrentStagePopup,
		kCurrentNonRelEditText,
		kOldMajorEditText,
		kOldMinorEditText,
		kOldBugRevEditText,
		kOldStagePopup,
		kOldNonRelEditText,
		kStackSizeEditText,
		kSubFolderIDEditText,
		kUsagePopup,
		kLocationStaticText,
		kOffsetStaticText,
		kLengthStaticText
		
};







#endif // define __DIALOGSTUFF__


